

{%- import "src/_global_variables.j2" as globals with context -%}
{%- import "src/_create_objects.j2" as objects with context -%}

{%- do globals.global_ns.main_vars.update({ "rda_mapping" : true }) -%}
{{ objects.createObjects(globals) }}


{%- set final_dmp_object = {} -%}
{%- do final_dmp_object.update({ "dmp" : globals.global_ns.main_vars.dmp_being_built }) %}


{%- set global_ns = namespace() -%}

{%- set debug_object = {} -%}


{%- macro dumpSelectDataset() -%}
  {%- set datasets = final_dmp_object.dmp.dataset -%}
  {%- do debug_object.update({ "dataset" : [] }) -%}
  {%- for d in datasets -%}
    {%- set dataset = {} -%}
    {%- do dataset.update({ "title" : d.title }) -%}
    {%- do dataset.update({ "distribution" : [] }) -%}

    {%- for dd in d.distribution -%}
      {%- set distribution = {} -%}
      {%- do distribution.update({ "title" : dd.title }) -%}
      {%- do dataset.distribution.append(distribution) -%}
    {%- endfor -%}

    {%- do debug_object.dataset.append(dataset) -%}
  {%- endfor -%}
{%- endmacro -%}

{{ dumpSelectDataset() }}
{{ debug_object|tojson(4) }}

 
